package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 用户角色-权限 关联表
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("adminRoleJurisdiction")
public class AdminRoleJurisdiction implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @TableField("id")
    private Integer id;
    /**
     * 角色id
     */
    @TableField("roleId")
    private Integer roleId;
    /**
     * 权限id
     */
    @TableField("jurisdictionId")
    private Integer jurisdictionId;

}
