package com.zh.project0512.model.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class AdminRoleListVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @Schema(title = "主键id")
    private Integer id;
    /**
     * 角色名
     */
    @Schema(title = "角色名")
    private String name;
    /**
     * 添加时间
     */
    @Schema(title = "添加时间")
    private Date createAt;
    /**
     * 更新时间
     */
    @Schema(title = "更新时间")
    private Date modifyAt;
}
