package com.zh.project0512.serviceImpl;

import com.zh.project0512.model.Brand;
import com.zh.project0512.mapper.BrandMapper;
import com.zh.project0512.service.IBrandService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-26
 */
@Service
public class BrandServiceImpl extends ServiceImpl<BrandMapper, Brand> implements IBrandService {
    @Autowired
    private BrandMapper brandMapper;
    public void addBrand(Brand brand){
        brandMapper.addBrand(brand);
    }
    public void updSort(int origin, int current, boolean originHigherCurrent) {
        brandMapper.updSort(origin, current, originHigherCurrent);
    }
}
