package com.zh.project0512.serviceImpl;

import com.zh.project0512.model.ReferenceBrand;
import com.zh.project0512.mapper.ReferenceBrandMapper;
import com.zh.project0512.service.IReferenceBrandService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-25
 */
@Service
public class ReferenceBrandServiceImpl extends ServiceImpl<ReferenceBrandMapper, ReferenceBrand> implements IReferenceBrandService {
    @Autowired
    private ReferenceBrandMapper referenceBrandMapper;

    public void addGroup(List list) {
        referenceBrandMapper.addGroup(list);
    }

   public List<Map> selByReferenceId(int id){
        return referenceBrandMapper.selByReferenceId(id);
    }
}
