package com.zh.project0512.mapper;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.zh.project0512.model.RewardRule;
import com.zh.project0512.model.RewardRuleTemplate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zh.project0512.model.Task;
import org.apache.ibatis.annotations.*;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-23
 */
public interface RewardRuleTemplateMapper extends BaseMapper<RewardRuleTemplate> {
    List<Map> rewardRuleTemplateList(IPage page);
    @Update("update rewardRuleTemplate set isDefault = 0 where isDefault =1;update rewardRuleTemplate set isDefault = 1 where id =#{id};")
    void setDefault(int id);

    RewardRuleTemplate rewardRuleTemplateDetail(int id);
    @Select("SELECT id from rewardRuleTemplate")
    IPage<Integer> idList(IPage iPage);
    List<RewardRuleTemplate> rrList(List<Integer> list);
}
