package com.zh.project0512.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.User;
import com.zh.project0512.model.Video;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zh
 * @since 2022-05-18
 */
public interface IVideoService extends IService<Video> {
    void updStatusWhenTaskEnd(String now);
    void updStatusByTaskId(int taskId,LocalDateTime localDateTime);
    IPage<Map> pageList(IPage iPage, @Param("ew") Wrapper<Video> queryWrapper);
    JSONObject record(String openid);
    List<Map> videoEffectResult(int taskId );
    List<Map> videoDataByUserTask(@Param("ew") Wrapper<Video> queryWrapper);
}
