package com.zh.project0512.serviceImpl;

import com.zh.project0512.mapper.TaskTagMapper;
import com.zh.project0512.model.TaskBrand;
import com.zh.project0512.mapper.TaskBrandMapper;
import com.zh.project0512.service.ITaskBrandService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-26
 */
@Service
public class TaskBrandServiceImpl extends ServiceImpl<TaskBrandMapper, TaskBrand> implements ITaskBrandService {
    @Autowired
    private TaskBrandMapper taskBrandMapper;
    @Override
    public void addGroup(List list,int id) {
        taskBrandMapper.addGroup(list,id);
    }
    @Override
    public List selByTaskId(int id){
        return taskBrandMapper.listByTaskId(id);
    }
}
