package com.zh.project0512.serviceImpl;

import com.zh.project0512.mapper.TaskReferenceMapper;
import com.zh.project0512.model.TaskDepartment;
import com.zh.project0512.mapper.TaskDepartmentMapper;
import com.zh.project0512.service.ITaskDepartmentService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-06-15
 */
@Service
public class TaskDepartmentServiceImpl extends ServiceImpl<TaskDepartmentMapper, TaskDepartment> implements ITaskDepartmentService {
    @Autowired
    private TaskDepartmentMapper taskDepartmentMapper;
    @Override
    public void addGroup(List list, int taskId) {
        taskDepartmentMapper.addGroup(list,taskId);
    }
}
